[% INCLUDE 'doc-head-open.inc' %]
<title>Koha &rsaquo; Tools &rsaquo; Import URLs into records</title>
[% INCLUDE 'doc-head-close.inc' %]

<script type="text/javascript" src="[% interface %]/[% theme %]/js/file-upload.js"></script>

<style type="text/css">
    #fileuploadstatus,#fileuploadfailed,#fileuploadcancel,#jobpanel,#jobstatus,#jobfailed { display : none; }
</style>

<script type="text/javascript">
//<![CDATA[
var xhr;
$(document).ready(function(){
    $("#continue").hide();
    $("#fileuploadbutton").on("click",function(e){
        e.preventDefault();
        StartUpload();
    });
    $("#fileuploadcancel").on("click",function(e){
        e.preventDefault();
        CancelUpload();
    });
});

function StartUpload() {
    if( $('#fileToUpload').prop('files').length == 0 ) return;
    $('#fileuploadbutton').hide();
    $("#fileuploadfailed").hide();
    $("#processfile").hide();
    $("#fileuploadstatus").show();
    $("#uploadedfileid").val('');
    xhr= AjaxUpload( $('#fileToUpload'), $('#fileuploadprogress'), 'temp=1', cbUpload );
    $("#fileuploadcancel").show();
}
function CancelUpload() {
    if( xhr ) xhr.abort();
    $("#fileuploadstatus").hide();
    $('#fileuploadbutton').show();
    $("#fileuploadcancel").hide();
    $("#fileuploadfailed").show();
    $("#fileuploadfailed").text( _("Upload status: Cancelled ") );
}
function cbUpload( status, fileid, errors ) {
    if( status=='done' ) {
        $("#uploadedfileid").val( fileid );
        $('#fileToUpload').prop('disabled',true);
        $('#fileuploadbutton').prop('disabled',true);
        $('#fileuploadbutton').show();
        $("#fileuploadcancel").hide();
        $("#continue").show();
    } else {
        $('#fileuploadbutton').show();
        $("#fileuploadcancel").hide();
        $("#fileuploadstatus").hide();
        $("#fileuploadfailed").show();
        $("#fileuploadfailed").text( _("Upload status: ") +
            ( status=='failed'? _("Failed"):
            ( status=='denied'? _("Denied"): status ))
        );
    }
}
//]]>
</script>
</head>
<body id="url-to-marc-import" class="tools">
[% INCLUDE 'header.inc' %]
[% INCLUDE 'cat-search.inc' %]

<div id="breadcrumbs">
    <a href="/cgi-bin/koha/mainpage.pl">Home</a> &rsaquo;
    <a href="/cgi-bin/koha/tools/tools-home.pl">Tools</a> &rsaquo;
    Import URLs into records
</div>

<div id="doc3" class="yui-t2">
   
   <div id="bd">
    <div id="yui-main">
    <div class="yui-b">

<h1>Import URLs into records</h1>
<p>Select a CSV file with the following format:</p>

    <form method="post" id="uploadfile" enctype="multipart/form-data">
        <fieldset class="rows" id="uploadform">
            <legend>Upload CSV file</legend>
            <ol>
                <li>
                    <div id="fileuploadform">
                    <label for="fileToUpload">Select the file to stage: </label>
                    <input type="file" id="fileToUpload" name="fileToUpload" />
                    </div>
                </li>
            </ol>
                <fieldset class="action">
                    <button id="fileuploadbutton" class="btn">Upload file</button>
                    <button id="fileuploadcancel" class="btn">Cancel</button>
                </fieldset>
        </fieldset>

        <div id="fileuploadpanel">
            <div id="fileuploadstatus" class="progress_panel">Upload progress:
                <progress id="fileuploadprogress" max="100" value="0">
                </progress>
                <span class="fileuploadpercent">0</span>%
            </div>
            <div id="fileuploadfailed"></div>
        </div>
    </form>

    <div id="continue">
        <form method="get">
            <input type="hidden" name="class" value="[% CLASS %]"/>
            <input type="hidden" name="method" value="[% METHOD %]"/>
            <input type="hidden" name="uploadedfileid" id="uploadedfileid" value="[% uploadedfileid %]" />
            <input type="hidden" name="step" value="results" />
            <input type="submit" value="Continue" class="btn"/>
        </form>
    </div>

</div>
</div>
<div class="yui-b">
[% INCLUDE 'tools-menu.inc' %]
</div>
</div>
[% INCLUDE 'intranet-bottom.inc' %]
